<?php
$enable   = get_theme_mod( 'restro_cafe_pro_instagram_enable', true );

if ( ! $enable ) {
	return;
}

$restro_cafe_pro_access_token   = get_theme_mod( 'restro_cafe_pro_insta_token' );

if ( empty( $restro_cafe_pro_access_token ) ) {
	return;
}
 
// I recommend to use "self" if your application is not approved
$ig_user_id = 'self';
 
$restro_cafe_pro_remote_wp = wp_remote_get( "https://api.instagram.com/v1/users/" . $ig_user_id . "/media/recent/?access_token=" . $restro_cafe_pro_access_token );
			
if( $restro_cafe_pro_remote_wp['response']['code'] != 200 ) {
	return;
}

$instagram_response = json_decode( $restro_cafe_pro_remote_wp['body'] );

$count   = get_theme_mod( 'restro_cafe_pro_insta_count', 6 );
$col   = get_theme_mod( 'restro_cafe_pro_insta_col', 6 );
?>

<div id="instagram-section" class="relative ">
        <div class=" clear col-<?php echo esc_attr( $col ); ?>">
			<?php
			$data = $instagram_response->data;
		 	for ( $i=0; $i < absint( $count ); $i++ ) { ?>
		 	<li>
		 		<a href="<?php echo esc_url( $data[ $i ]->link ); ?>" title="Weekend Fun at Dadagaun"><img src="<?php echo esc_url( $data[ $i ]->images->standard_resolution->url ); ?>" title="<?php echo ( ! empty( $data[ $i ]->caption->text ) ) ? esc_html( $data[ $i ]->caption->text ) : ''; ?>"></a>
		 	</li>
		 	<?php
			}
			?>
		</div><!-- .section-content -->
</div><!-- #instagram -->
