<?php
/**
 * Template Name: Home Page
 *
 * @package Moral Themes
 * @subpackage Restro_Cafe_Pro
 * @since Restro Cafe Pro 1.0.0
 */

get_header();
?>

<div id="content" class="site-content">
    <?php
    $default = restro_cafe_pro_get_default_mods();
    $sorted_sections = get_theme_mod( 'restro_cafe_pro_sort_home_sections', $default['restro_cafe_pro_sort_home_sections'] );

    foreach ( $sorted_sections as $sorted_section ) {
        get_template_part( 'template-parts/frontpage-parts/' . $sorted_section ); 
    }

    ?>
    
</div><!-- #content -->

<?php 
get_footer();